=== debian/changelog ===
ectrans (1.1.0-4) unstable; urgency=medium

  * Enable tests

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 23 Jan 2023 15:51:22 +0000

ectrans (1.1.0-3) unstable; urgency=medium

  * Add patches from Vagrant Cascadian for reproducibility. Closes: #1029227
	- 0001-src-programs-ectrans.in-Avoid-embedding-the-running-.patch
	- 0002-Pass-BUILD_TIMESTAMP-via-CMakeLists.txt-and-use-in-e.patches

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Jan 2023 15:45:54 +0000

ectrans (1.1.0-2) unstable; urgency=medium

  * Fix cmake ectrans-targets.cmake paths
  * Enable MPI

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Nov 2022 14:20:39 +0000

ectrans (1.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1024552)
    Additional copyrights added

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Nov 2022 12:39:17 +0000
