## ectrans 1.2.0

=== src/trans/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,16 @@
         SOURCES internal/ftinv_ctlad_mod.F90
         FLAGS   "-O0,fp1,omp")
 
+  endif()
+endif()
+
+if(CMAKE_Fortran_COMPILER_ID MATCHES "Intel")
+  if( CMAKE_Fortran_COMPILER_VERSION VERSION_GREATER_EQUAL 18 AND CMAKE_Fortran_COMPILER_VERSION VERSION_LESS 19 )
+
+    # See https://github.com/ecmwf-ifs/ectrans/issues/17
+    ectrans_add_compile_options(
+        SOURCES algor/butterfly_alg_mod.F90
+        FLAGS   "-check nopointers")
   endif()
 endif()
