=== debian/changelog ===
ectrans (1.2.0-2) unstable; urgency=medium

  * Standards-Version: 4.6.2
  * Build-dep on architecture-is-64-bit
  * Update to arch: any rather than specified list
  * Update openblas,lapack deps
  * Build-depend on dh-fortran-mod (>= 0.32)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Jan 2024 18:26:49 +0000

ectrans (1.2.0-1) experimental; urgency=medium

  * Add d/watch file
  * New upstream release
  * Ignore test failures; just log in this release
  * Add bash-completion file

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Jan 2023 15:56:13 +0000
