=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,21 @@
 #!/usr/bin/make -f
 
+# export DH_VERBOSE=1
 
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/buildflags.mk
+include /usr/share/debhelper/dh-fortran/fortran-support.mk
+
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
 INCDIR:=/usr/include/$(DEB_HOST_MULTIARCH)
 INSTDIR:=$(CURDIR)/debian/tmp
 CMAKE_DIR:=$(INSTDIR)/$(LIBDIR)/cmake
-
-
-FC:=$(shell basename $(shell readlink -f /usr/bin/f95))
-FMODDIR:=/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/fortran/$(FC)
+FMODDIR:= $(strip $(call get_fmoddir,$(FC_DEFAULT)))
 
 DEB_CFLAGS_MAINT_APPEND= -I$(CURDIR)/src -I$(CURDIR)/obj-$(DEB_HOST_MULTIARCH)/src
 DEB_CXXFLAGS_MAINT_APPEND= -I$(CURDIR)/src -I$(CURDIR)/obj-$(DEB_HOST_MULTIARCH)/src
 DEB_FFLAGS_MAINT_APPEND= -I$(FMODDIR)
-include /usr/share/dpkg/buildflags.mk
 
 #
 # OMP Doesn't appear to work on these archs
@@ -34,7 +34,7 @@
 export OMPI_MCA_rmaps_base_oversubscribe=1
 
 %:
-	dh $@ --buildsystem=ecbuild --builddir=debian/build
+	dh $@ --buildsystem=ecbuild --builddir=debian/build --with fortran_mod
 
 override_dh_auto_configure:
 	dh_auto_configure -- ${BUILD_FLAGS}
