=== src/trans/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,9 @@
 # In applying this licence, ECMWF does not waive the privileges and immunities
 # granted to it by virtue of its status as an intergovernmental organisation
 # nor does it submit to any jurisdiction.
+
+# Preprocess module file containing version information
+configure_file( internal/ectrans_version_mod.F90.in internal/ectrans_version_mod.F90 )
 
 ## Apply workarounds for some known compilers
 
@@ -37,6 +40,7 @@
                                 algor/*
                                 internal/*
                                 external/*
+                                ${CMAKE_CURRENT_BINARY_DIR}/internal/ectrans_version_mod.F90
                           QUIET
                         )
 
@@ -44,18 +48,15 @@
   ecbuild_list_exclude_pattern( LIST trans_src REGEX tpm_fftw.F90 )
 endif()
 
-set( HAVE_dp ${HAVE_DOUBLE_PRECISION} )
-set( HAVE_sp ${HAVE_SINGLE_PRECISION} )
-
-foreach( prec sp dp )
+foreach( prec dp sp )
   if( HAVE_${prec} )
 
     ecbuild_add_library(
       TARGET           trans_${prec}
       LINKER_LANGUAGE  Fortran
       SOURCES          ${trans_src}
-      PUBLIC_INCLUDES  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
-                       $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include/ectrans>
+      PUBLIC_INCLUDES  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src/trans/include>
+                       $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src/trans/include/ectrans>
                        $<INSTALL_INTERFACE:include/ectrans>
                        $<INSTALL_INTERFACE:include>
       PUBLIC_LIBS      fiat parkind_${prec}
@@ -73,12 +74,15 @@
                         "No guarantees on link order can be made for the final executable.")
           set( FFTW_LINK PUBLIC ) # Attempt anyway to give FFTW precedence
       endif()
+      ecbuild_debug("target_link_libraries( trans_${prec} ${FFTW_LINK} ${FFTW_LIBRARIES} )")
       target_link_libraries( trans_${prec} ${FFTW_LINK} ${FFTW_LIBRARIES} )
       target_include_directories( trans_${prec} PRIVATE ${FFTW_INCLUDE_DIRS} )
       target_compile_definitions( trans_${prec} PRIVATE WITH_FFTW )
     endif()
+    ecbuild_debug("target_link_libraries( trans_${prec} ${LAPACK_LINK} ${LAPACK_${prec}} )")
     target_link_libraries( trans_${prec} ${LAPACK_LINK} ${LAPACK_${prec}} )
     if( HAVE_OMP )
+      ecbuild_debug("target_link_libraries( trans_${prec} PRIVATE OpenMP::OpenMP_Fortran )")
       target_link_libraries( trans_${prec} PRIVATE OpenMP::OpenMP_Fortran )
     endif()
