=== debian/changelog ===
ectrans (1.3.0-2) unstable; urgency=medium

  * Ship real header files; build shipped broken symlinks. Closes: #1066427

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Mar 2024 16:08:43 +0000

ectrans (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * Drop strip() hack; bug fixed

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Mar 2024 10:20:50 +0000
