=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13), 
   architecture-is-64-bit,
   dh-buildinfo, 
-  dh-fortran-mod (>= 0.32),
+  dh-fortran-mod (>= 0.34),
   ecbuild (>= 3.3.2),
   chrpath,
   libopenblas-dev [ !ia64 !alpha !hurd-amd64 ],
