=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 INCDIR:=/usr/include/$(DEB_HOST_MULTIARCH)
 INSTDIR:=$(CURDIR)/debian/tmp
 CMAKE_DIR:=$(INSTDIR)/$(LIBDIR)/cmake
-FMODDIR:= $(strip $(call get_fmoddir,$(FC_DEFAULT)))
+FMODDIR:= $(call get_fmoddir,$(FC_DEFAULT))
 
 DEB_CFLAGS_MAINT_APPEND= -I$(CURDIR)/src -I$(CURDIR)/obj-$(DEB_HOST_MULTIARCH)/src
 DEB_CXXFLAGS_MAINT_APPEND= -I$(CURDIR)/src -I$(CURDIR)/obj-$(DEB_HOST_MULTIARCH)/src
@@ -51,3 +51,9 @@
 	# Fix broken paths
 	sed -i -e 's%$${_IMPORT_PREFIX}/include/ectrans%/usr/include/${DEB_HOST_MULTIARCH}/ectrans%' \
 		$(CMAKE_DIR)/ectrans/ectrans-targets.cmake	
+	# Don't ship symlinks
+
+override_dh_fixperms:
+	dh_fixperms
+	rm debian/libectrans-dev/$(INCDIR)/ectrans/transi.h debian/libectrans-dev/$(INCDIR)/ectrans/version.h
+	cp src/transi/version.h src/transi/transi.h debian/libectrans-dev/$(INCDIR)/ectrans
