=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ectrans-$1\.tar\.gz/ \
  https://github.com/ecmwf-ifs/ectrans/tags .*/v?(\d\d?\d?\..+).tar\.gz
