=== src/programs/CMakeLists.txt ===
--- 
+++ 
@@ -34,6 +34,7 @@
   if( HAVE_${prec} )
     ecbuild_add_executable(TARGET  ectrans-benchmark-${prec}
                            SOURCES ectrans-benchmark.F90
+                           LINKER_LANGUAGE Fortran
                            LIBS
                              fiat
                              parkind_${prec}
