=== debian/changelog ===
ectrans (1.3.2-1) unstable; urgency=medium

  * New upstream release
  * Set Debian Science Maint. as maintainer
  * Standards-Version: 4.7.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Apr 2024 09:27:41 +0100

ectrans (1.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 12 Apr 2024 08:48:43 +0100
